﻿using Newtonsoft.Json;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Diagnostics;
using UnityEngine.UI;
namespace DemoUtils
{
    public class DemoUtil
    {

        public static void ShowToastUI(string str)
        {
            Debug.Log("ShowToastUI: " + str);
            GameObject mMessageToast = UnityEngine.Object.Instantiate(Resources.Load("GHShowToast", typeof(GameObject)) as GameObject);
            mMessageToast.transform.SetParent(GameObject.Find("Canvas").transform, false);
            Text tips = mMessageToast.transform.Find("GHShowToastTx").GetComponent<Text>();
            tips.text = "demo: " + str;
            // 根据字符长度，适配窗体大小
            // arg0: 字符串长度*文本字体大小，再加上边距为提示窗体的宽度
            // arg1: 提示窗体高度 45 (可根据自己需求做适当修改)
            Debug.Log("tips.flexibleWidth: " + tips.flexibleWidth + "tips.preferredWidth: " + tips.preferredHeight);
            mMessageToast.transform.GetComponent<RectTransform>().sizeDelta = new Vector2(396, tips.preferredHeight + 35);

            UnityEngine.Object.Destroy(mMessageToast, 5);
        }

        public static void LogDataInfo(Dictionary<string, object> dataInfo)
        {
            Debug.Log("DEMO: ----LogDataInfo----  " + dataInfo);
            foreach (var item in dataInfo)
            {
                Debug.Log($"DEMO: Key: {item.Key}, Value: {item.Value}");
            }
            //ShowToastUI("DEMO: " + JsonConvert.SerializeObject(dataInfo));
        }
    }
}

