﻿using System;

using System.IO;
using System.Xml;
using UnityEditor;
using UnityEngine;

#if UNITY_EDITOR
public class ADeleteWxapiAndDyapiTool : Editor
{
    [MenuItem("ADeleteWxapiAndDyApi/DeleteWxapiAndDyApiDerictory")]
    static void DeketeWXDYApiDerictory()
    {
        ScriptableObject aManiMeta = CreateInstance<AFilePathConfig>();

        // 自定义资源保存路径
        string path = Application.dataPath + "/WxapiAndDyapiFilePathAsset";

        if (!Directory.Exists(path))
        {
            Directory.CreateDirectory(path);
        }

        //将类名 Bullet 转换为字符串
        //拼接保存自定义资源（.asset） 路径
        path = string.Format("Assets/WxapiAndDyapiFilePathAsset/{0}.asset", typeof(AFilePathConfig).ToString());

        // 生成自定义资源到指定路径
        AssetDatabase.CreateAsset(aManiMeta, path);

        //TODO copy activitis  or create file and then Adding content to it


    }
}
#endif
