﻿using System.Collections;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
using GInterSDK;
using DemoUtils;
using System;
using System.Threading.Tasks;
using System.IO;
using Random = UnityEngine.Random;
using System.Security.Cryptography;
using UnityEngine.Playables;

public class GameMsgNotifyControl : MonoBehaviour
{

    public InputField textNotificationId;

    public InputField textTitle;

    public InputField textContent;

    public InputField textTimeMinutes;

    public Toggle toggleRepeat;

    public Toggle toggle5Minutes;

    public Toggle toggle10Minutes;

    public Toggle toggle15Minutes;

    public Toggle toggle20Minutes;

    private bool isRepeat = false;

    private void Start()
    {
        toggleRepeat.onValueChanged.AddListener((isOn) => { isRepeat = isOn; });
       
    }


    public void NotifyMsgRightNow()
    {
//        long currentMillis = (long)(DateTime.UtcNow - new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc)).TotalMilliseconds;
//        int notiId = int.Parse(textNotificationId.text.ToString());
//        string notiTitle = textTitle.text.ToString();
//        string notiContent = textContent.text.ToString();
//#if UNITY_ANDROID
//        GHomeManager.GetInstance().GNotifyMsgFixedTime(notiId, notiTitle, notiContent, "", currentMillis, isRepeat, 60 * 1000, 4, (code, msg, dta) =>
//        {
//            DemoUtil.ShowToastUI("code: " + code + ", msg: " + msg);
//        });
//#elif UNITY_IPHONE || UNITY_IOS
//        JObject notificationInfo = new JObject();
//        notificationInfo.Add("noticeId", textNotificationId.text.ToString());//通知id，若id为重复，默认为更新该id的通知
//        notificationInfo.Add("title", textTitle.text.ToString());
//        notificationInfo.Add("body", textContent.text.ToString());
//        //notificationInfo.Add("userInfo", userInfo);//选填， 则可以传入自定义参数,传入jsonstring
//        notificationInfo.Add("repeats", isRepeat);//是否重复推送 重复推送时间要大于60秒 否则无效
//        notificationInfo.Add("timeInterval", 0); //此处需要传入秒
//        //notificationInfo.Add("imageFilePath", imageFilePath);//选填 本地图片路径
//        notificationInfo.Add("subtitle", "这里是马上推送");//选填
//        GHomeManager.GetInstance().GAddLocalTimeIntervalNotification(notificationInfo, (code, msg, dta) =>
//        {
//            DemoUtil.ShowToastUI("code: " + code + ", msg: " + msg);
//        });
//#endif

    }



    public void NotifyMsgFixed()
    {
//        long currentMillis = (long)(DateTime.UtcNow - new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc)).TotalMilliseconds;
//        string nextTime = textTimeMinutes.text.ToString();
//        int timeMinutes = int.Parse(nextTime);

//        Debug.Log("nextTime : " + nextTime + ", timeMinutes" + timeMinutes);

//        int notiId = int.Parse(textNotificationId.text.ToString());
//        string notiTitle = textTitle.text.ToString();
//        string notiContent = textContent.text.ToString();
//#if UNITY_ANDROID
//        GHomeManager.GetInstance().GNotifyMsgFixedTime(notiId, notiTitle, notiContent, "", currentMillis + timeMinutes * 60 * 1000, isRepeat, 120 * 1000, 4, (code, msg, dta) =>
//        {
//            DemoUtil.ShowToastUI("code: " + code + ", msg: " + msg);
//        });
//#elif UNITY_IPHONE || UNITY_IOS
//        JObject notificationInfo = new JObject();
//        notificationInfo.Add("noticeId", textNotificationId.text.ToString());//通知id，若id为重复，默认为更新该id的通知
//        notificationInfo.Add("title", textTitle.text.ToString());
//        notificationInfo.Add("body", textContent.text.ToString());
//        JObject userInfo = new JObject();
//        userInfo.Add("nickName", "传奇世界小人");
//        userInfo.Add("userId", "1034554");

//        notificationInfo.Add("userInfo", userInfo.ToString());//选填， 则可以传入自定义参数,传入jsonstring
//        notificationInfo.Add("repeats", isRepeat);
//        notificationInfo.Add("timeInterval", timeMinutes * 60); //此处需要传入秒
//        //notificationInfo.Add("imageFilePath", imageFilePath);//选填 本地图片路径
//        notificationInfo.Add("subtitle", "这是过多少秒推送");//选填
//        GHomeManager.GetInstance().GAddLocalTimeIntervalNotification(notificationInfo, (code, msg, dta) =>
//        {
//            DemoUtil.ShowToastUI("code: " + code + ", msg: " + msg);
//        });
//#endif

    }

    public void NotifyMsgIntervalTimes()
    {
//        long currentMillis = (long)(DateTime.UtcNow - new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc)).TotalMilliseconds;

//        string nextTime = textTimeMinutes.text.ToString();
//        int timeMinutes = 0;
//        if (nextTime != "")
//        {
//            timeMinutes = int.Parse(nextTime);
//        }

//        Debug.Log("nextTime : " + nextTime + ", timeMinutes22222 " + timeMinutes);


//        int notiId = int.Parse(textNotificationId.text.ToString());
//        string notiTitle = textTitle.text.ToString();
//        string notiContent = textContent.text.ToString();

//        var times = new List<long> { };
//        if (toggle5Minutes.isOn) { times.Add(1 * 60 * 1000); }
//        if (toggle10Minutes.isOn) { times.Add(3 * 60 * 1000); }
//        if (toggle15Minutes.isOn) { times.Add(4 * 60 * 1000); }
//        if (toggle20Minutes.isOn) { times.Add(6 * 60 * 1000); }
//#if UNITY_ANDROID
        
//        GHomeManager.GetInstance().GNotifyMsgIntervalTime(notiId, notiTitle, notiContent, "", currentMillis + timeMinutes * 60 * 1000, isRepeat, times.ToArray(), 4, (code, msg, dta) =>
//        {
//            DemoUtil.ShowToastUI("code: " + code + ", msg: " + msg);
//        });
//#elif UNITY_IPHONE || UNITY_IOS
//        JObject notificationInfo = new JObject();
//        notificationInfo.Add("noticeId", textNotificationId.text.ToString());//通知id，若id为重复，默认为更新该id的通知
//        notificationInfo.Add("title", textTitle.text.ToString());
//        notificationInfo.Add("body", textContent.text.ToString());

//        JObject userInfo = new JObject();
//        userInfo.Add("nickName","传奇世界小人");
//        userInfo.Add("userId", "1034554");

//        notificationInfo.Add("userInfo", userInfo.ToString());//选填， 则可以传入自定义参数,传入jsonstring
//        //notificationInfo.Add("repeats", isRepeat);
//        //notificationInfo.Add("year", year);//选填
//        //notificationInfo.Add("month", month);//选填
//        //notificationInfo.Add("weekday", weekday);//选填
//        //notificationInfo.Add("day", day);//选填
//        //notificationInfo.Add("hour", hour);//选填
//        notificationInfo.Add("minute", @"10");//选填
//        //notificationInfo.Add("second", second);//选填
//        //notificationInfo.Add("imageFilePath", imageFilePath);//选填 本地图片路径
//        notificationInfo.Add("subtitle", "这里是每个小时的10分中推送");//选填
//        notificationInfo.Add("repeats", isRepeat);
//        GHomeManager.GetInstance().GAddLocalCalendarNotification(notificationInfo, (code, msg, dta) =>
//        {
//            DemoUtil.ShowToastUI("code: " + code + ", msg: " + msg);
//        });
//#endif

    }

    public void CancelNotiryById()
    {
        //int notiIdCancel = int.Parse(textNotificationId.text.ToString());
        //GHomeManager.GetInstance().GCancelNotificationById(notiIdCancel, true, false);
        //DemoUtil.ShowToastUI("code: " + 0 + ", msg: 取消成功");
    }

    public void CancelAllNotification()
    {
        //GHomeManager.GetInstance().GCancelAllNotification(true, true);
        //DemoUtil.ShowToastUI("code: " + 0 + ", msg: 取消成功");
    }

    public void ClosePage()
    {
        SceneManager.LoadScene(0);
    }

}

