﻿using System;
using System.IO;
using System.Xml;
using UnityEditor;
using UnityEngine;

#if UNITY_EDITOR
public class AManifestTool : Editor
{
    [MenuItem("CreateAsset/AddAndroidData")]
    static void AddMetaAsset()
    {
        ScriptableObject aManiMeta = CreateInstance<AndroidConfig>();

        // 自定义资源保存路径
        string path = Application.dataPath + "/ManifestDataAsset";

        if (!Directory.Exists(path))
        {
            Directory.CreateDirectory(path);
        }

        //将类名 Bullet 转换为字符串
        //拼接保存自定义资源（.asset） 路径
        path = string.Format("Assets/ManifestDataAsset/{0}.asset", typeof(AndroidConfig).ToString());

        // 生成自定义资源到指定路径
        AssetDatabase.CreateAsset(aManiMeta, path);
    }
}
#endif
